## javax.servlet
Interface FilterRegistration

All Superinterfaces:
  Registration

All Known Subinterfaces:
  FilterRegistration.Dynamic

    public interface FilterRegistration

extends Registration

Interface through which a `Filter` may be further configured.

Since:
  Servlet 3.0

Nested Class Summary
`static interface` `FilterRegistration.Dynamic` Interface through which a `Filter` registered via one of the `addFilter` methods on `ServletContext` may be further configured.

Method Summary
`void` `addMappingForServletNames(EnumSet<DispatcherType> dispatcherTypes, boolean isMatchAfter, String... servletNames)` Adds a filter mapping with the given servlet names and dispatcher types for the Filter represented by this FilterRegistration.
`void` `addMappingForUrlPatterns(EnumSet<DispatcherType> dispatcherTypes, boolean isMatchAfter, String... urlPatterns)` Adds a filter mapping with the given url patterns and dispatcher types for the Filter represented by this FilterRegistration.
`Collection<String>` `getServletNameMappings()` Gets the currently available servlet name mappings of the Filter represented by this `FilterRegistration`.
`Collection<String>` `getUrlPatternMappings()` Gets the currently available URL pattern mappings of the Filter represented by this `FilterRegistration`.

Methods inherited from interface javax.servlet.Registration
`getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

Method Detail

### addMappingForServletNames

    void addMappingForServletNames(EnumSet<DispatcherType> dispatcherTypes,
                                   boolean isMatchAfter,
                                   String... servletNames)

  Adds a filter mapping with the given servlet names and dispatcher types for the Filter represented by this FilterRegistration.

  Filter mappings are matched in the order in which they were added.

  Depending on the value of the `isMatchAfter` parameter, the given filter mapping will be considered after or before any declared filter mappings of the ServletContext from which this FilterRegistration was obtained.

  If this method is called multiple times, each successive call adds to the effects of the former.

  Parameters:
    `dispatcherTypes` - the dispatcher types of the filter mapping, or null if the default `DispatcherType.REQUEST` is to be used
    `isMatchAfter` - true if the given filter mapping should be matched after any declared filter mappings, and false if it is supposed to be matched before any declared filter mappings of the ServletContext from which this FilterRegistration was obtained
    `servletNames` - the servlet names of the filter mapping
  Throws:
    `IllegalArgumentException` - if `servletNames` is null or empty
    `IllegalStateException` - if the ServletContext from which this FilterRegistration was obtained has already been initialized

### getServletNameMappings

    Collection<String> getServletNameMappings()

  Gets the currently available servlet name mappings of the Filter represented by this `FilterRegistration`.

  If permitted, any changes to the returned `Collection` must not affect this `FilterRegistration`.

  Returns:
    a (possibly empty) `Collection` of the currently available servlet name mappings of the Filter represented by this `FilterRegistration`

### addMappingForUrlPatterns

    void addMappingForUrlPatterns(EnumSet<DispatcherType> dispatcherTypes,
                                  boolean isMatchAfter,
                                  String... urlPatterns)

  Adds a filter mapping with the given url patterns and dispatcher types for the Filter represented by this FilterRegistration.

  Filter mappings are matched in the order in which they were added.

  Depending on the value of the `isMatchAfter` parameter, the given filter mapping will be considered after or before any declared filter mappings of the ServletContext from which this FilterRegistration was obtained.

  If this method is called multiple times, each successive call adds to the effects of the former.

  Parameters:
    `dispatcherTypes` - the dispatcher types of the filter mapping, or null if the default `DispatcherType.REQUEST` is to be used
    `isMatchAfter` - true if the given filter mapping should be matched after any declared filter mappings, and false if it is supposed to be matched before any declared filter mappings of the ServletContext from which this FilterRegistration was obtained
    `urlPatterns` - the url patterns of the filter mapping
  Throws:
    `IllegalArgumentException` - if `urlPatterns` is null or empty
    `IllegalStateException` - if the ServletContext from which this FilterRegistration was obtained has already been initialized

### getUrlPatternMappings

    Collection<String> getUrlPatternMappings()

  Gets the currently available URL pattern mappings of the Filter represented by this `FilterRegistration`.

  If permitted, any changes to the returned `Collection` must not affect this `FilterRegistration`.

  Returns:
    a (possibly empty) `Collection` of the currently available URL pattern mappings of the Filter represented by this `FilterRegistration`

Copyright © 2012 GlassFish Community. All Rights Reserved.